#!/bin/bash

rm -f arch-j1.tgz arch-j2.tgz meta.yml meta-j1.yml meta-j2.yml

echo 'Prove run 1, note times:'
prove -j1 --arch=arch-j1.tgz *.t

echo ''
echo 'Prove run 2, note times:'

prove -j2 --arch=arch-j2.tgz *.t

tar xzvf arch-j1.tgz meta.yml
mv meta.yml meta-j1.yml
tar xzvf arch-j2.tgz meta.yml
mv meta.yml meta-j2.yml

echo 'These should all be roughly equivalent:'

for i in *.t; do
  echo "$i -j1 run:"
  grep -A2 -m 1 $i meta-j1.yml | tail -n 2
  echo "$i -j2 run:"
  grep -A2 -m 1 $i meta-j2.yml | tail -n 2
  echo ""
done
